SET FOREIGN_KEY_CHECKS=0; SET UNIQUE_CHECKS=0; SET NAMES LATIN2;

-- MySQL dump 10.11
--
-- Host: localhost    Database: dbPWI
-- ------------------------------------------------------
-- Server version	5.0.45-standard

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES latin2 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `jezyki`
--

DROP TABLE IF EXISTS `jezyki`;
CREATE TABLE `jezyki` (
  `id` int(11) NOT NULL auto_increment,
  `jezyk` varchar(128) collate latin2_bin default NULL,
  `opis` tinytext collate latin2_bin,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin2 COLLATE=latin2_bin;

--
-- Dumping data for table `jezyki`
--

LOCK TABLES `jezyki` WRITE;
/*!40000 ALTER TABLE `jezyki` DISABLE KEYS */;
INSERT INTO `jezyki` VALUES (1,'C',NULL),(2,'C++',NULL),(3,'PHP',NULL);
/*!40000 ALTER TABLE `jezyki` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `kontynenty`
--

DROP TABLE IF EXISTS `kontynenty`;
CREATE TABLE `kontynenty` (
  `id` int(11) NOT NULL auto_increment,
  `kontynent` varchar(64) collate latin2_bin default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `kontynent` (`kontynent`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin2 COLLATE=latin2_bin;

--
-- Dumping data for table `kontynenty`
--

LOCK TABLES `kontynenty` WRITE;
/*!40000 ALTER TABLE `kontynenty` DISABLE KEYS */;
INSERT INTO `kontynenty` VALUES (2,'Ameryka Pnocna'),(1,'Europa');
/*!40000 ALTER TABLE `kontynenty` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `kraje`
--

DROP TABLE IF EXISTS `kraje`;
CREATE TABLE `kraje` (
  `id` int(11) NOT NULL auto_increment,
  `kraj` varchar(64) collate latin2_bin default NULL,
  `kontynent` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `kraj` (`kraj`),
  KEY `kraje1` (`kontynent`),
  CONSTRAINT `kraje1` FOREIGN KEY (`kontynent`) REFERENCES `kontynenty` (`id`) ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin2 COLLATE=latin2_bin;

--
-- Dumping data for table `kraje`
--

LOCK TABLES `kraje` WRITE;
/*!40000 ALTER TABLE `kraje` DISABLE KEYS */;
INSERT INTO `kraje` VALUES (1,'Polska',1),(2,'Czechy',1),(3,'Niemcy',1),(4,'Sowacja',1),(5,'USA',2),(6,'Kamada',2),(7,'Maksyk',2);
/*!40000 ALTER TABLE `kraje` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Temporary table structure for view `kraje_kontynenty`
--

DROP TABLE IF EXISTS `kraje_kontynenty`;
/*!50001 DROP VIEW IF EXISTS `kraje_kontynenty`*/;
/*!50001 CREATE TABLE `kraje_kontynenty` (
  `id` int(11),
  `kraj` varchar(64),
  `kontynent` int(11),
  `kontynent_nazwa` varchar(64)
) */;

--
-- Table structure for table `osoby`
--

DROP TABLE IF EXISTS `osoby`;
CREATE TABLE `osoby` (
  `id` int(11) NOT NULL auto_increment,
  `imie` varchar(64) collate latin2_bin default NULL,
  `nazwisko` varchar(64) collate latin2_bin default NULL,
  `plec` enum('k','m') collate latin2_bin default NULL,
  `uwagi` text collate latin2_bin,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin2 COLLATE=latin2_bin;

--
-- Dumping data for table `osoby`
--

LOCK TABLES `osoby` WRITE;
/*!40000 ALTER TABLE `osoby` DISABLE KEYS */;
INSERT INTO `osoby` VALUES (1,'Adam','Kowalski','m','Brak uwag'),(2,'Adam','Kowalski','m','Brak uwag'),(3,'Adam','Kowalski','m','Brak uwag');
/*!40000 ALTER TABLE `osoby` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `osoby_jezyki`
--

DROP TABLE IF EXISTS `osoby_jezyki`;
CREATE TABLE `osoby_jezyki` (
  `osoba` int(11) NOT NULL,
  `jezyk` int(11) NOT NULL,
  PRIMARY KEY  (`osoba`,`jezyk`),
  KEY `iosoba` (`osoba`),
  KEY `ijezyk` (`jezyk`),
  CONSTRAINT `osoby_jezyki1` FOREIGN KEY (`osoba`) REFERENCES `osoby` (`id`) ON UPDATE CASCADE on delete cascade,
  CONSTRAINT `osoby_jezyki2` FOREIGN KEY (`jezyk`) REFERENCES `jezyki` (`id`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin2 COLLATE=latin2_bin;

--
-- Dumping data for table `osoby_jezyki`
--

LOCK TABLES `osoby_jezyki` WRITE;
/*!40000 ALTER TABLE `osoby_jezyki` DISABLE KEYS */;
INSERT INTO `osoby_jezyki` VALUES (3,1),(3,3);
/*!40000 ALTER TABLE `osoby_jezyki` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `osoby_kraje`
--

DROP TABLE IF EXISTS `osoby_kraje`;
CREATE TABLE `osoby_kraje` (
  `osoba` int(11) NOT NULL,
  `kraj` int(11) NOT NULL,
  PRIMARY KEY  (`osoba`,`kraj`),
  KEY `iosoba` (`osoba`),
  KEY `ikraj` (`kraj`),
  CONSTRAINT `osoby_kraje1` FOREIGN KEY (`osoba`) REFERENCES `osoby` (`id`) ON UPDATE CASCADE on delete cascade,
  CONSTRAINT `osoby_kraje2` FOREIGN KEY (`kraj`) REFERENCES `kraje` (`id`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin2 COLLATE=latin2_bin;

--
-- Dumping data for table `osoby_kraje`
--

LOCK TABLES `osoby_kraje` WRITE;
/*!40000 ALTER TABLE `osoby_kraje` DISABLE KEYS */;
INSERT INTO `osoby_kraje` VALUES (3,1),(3,5);
/*!40000 ALTER TABLE `osoby_kraje` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Final view structure for view `kraje_kontynenty`
--

/*!50001 DROP TABLE IF EXISTS `kraje_kontynenty`*/;
/*!50001 DROP VIEW IF EXISTS `kraje_kontynenty`*/;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `kraje_kontynenty` AS select `kraje`.`id` AS `id`,`kraje`.`kraj` AS `kraj`,`kraje`.`kontynent` AS `kontynent`,`kontynenty`.`kontynent` AS `kontynent_nazwa` from (`kraje` join `kontynenty` on((`kontynenty`.`id` = `kraje`.`kontynent`))) */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2017-06-11 21:42:49
